CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api GET /v1/organizations/current/configGet configuration for current organization.import requests
url = "https://sandbox.api.infinite.dev/v1/organizations/current/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/organizations/current/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/organizations/current/config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/organizations/current/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/organizations/current/config")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/organizations/current/config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "orgcfg_abc123",
"organizationId": "org_abc123",
"feeRecipientAddresses": {
"evm": {
"isDefault": true,
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
},
"solana": {
"isDefault": true,
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
},
"tron": {
"isDefault": true,
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
},
"bitcoin": {
"isDefault": true,
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
}
},
"refundAccounts": {
"evm": {
"isDefault": true,
"accountId": "inw_abc123",
"address": "9giUCGg4BSigGcWZmUj2Gr6esj8hVr5MZRAKF3oMTNUo"
},
"solana": {
"isDefault": true,
"accountId": "inw_abc123",
"address": "9giUCGg4BSigGcWZmUj2Gr6esj8hVr5MZRAKF3oMTNUo"
},
"tron": {
"isDefault": true,
"accountId": "inw_abc123",
"address": "9giUCGg4BSigGcWZmUj2Gr6esj8hVr5MZRAKF3oMTNUo"
},
"bitcoin": {
"isDefault": true,
"accountId": "inw_abc123",
"address": "9giUCGg4BSigGcWZmUj2Gr6esj8hVr5MZRAKF3oMTNUo"
}
},
"createdAt": "<string>",
"updatedAt": "<string>"
}Organizations
Get configuration for current organization
Returns the organization configuration including per-network addresses for fee payouts and refunds. Each address includes an isDefault flag indicating if it uses the treasury wallet.
GET
/
v1
/
organizations
/
current
/
config
CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api GET /v1/organizations/current/configGet configuration for current organization.import requests
url = "https://sandbox.api.infinite.dev/v1/organizations/current/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/organizations/current/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/organizations/current/config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/organizations/current/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/organizations/current/config")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/organizations/current/config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "orgcfg_abc123",
"organizationId": "org_abc123",
"feeRecipientAddresses": {
"evm": {
"isDefault": true,
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
},
"solana": {
"isDefault": true,
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
},
"tron": {
"isDefault": true,
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
},
"bitcoin": {
"isDefault": true,
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb"
}
},
"refundAccounts": {
"evm": {
"isDefault": true,
"accountId": "inw_abc123",
"address": "9giUCGg4BSigGcWZmUj2Gr6esj8hVr5MZRAKF3oMTNUo"
},
"solana": {
"isDefault": true,
"accountId": "inw_abc123",
"address": "9giUCGg4BSigGcWZmUj2Gr6esj8hVr5MZRAKF3oMTNUo"
},
"tron": {
"isDefault": true,
"accountId": "inw_abc123",
"address": "9giUCGg4BSigGcWZmUj2Gr6esj8hVr5MZRAKF3oMTNUo"
},
"bitcoin": {
"isDefault": true,
"accountId": "inw_abc123",
"address": "9giUCGg4BSigGcWZmUj2Gr6esj8hVr5MZRAKF3oMTNUo"
}
},
"createdAt": "<string>",
"updatedAt": "<string>"
}Authorizations
API Key in Bearer format (e.g., Bearer sk_test_...)
Headers
API key
Response
Organization configuration
Config ID
Example:
"orgcfg_abc123"
Organization ID
Example:
"org_abc123"
Per-network fee recipient addresses
Show child attributes
Show child attributes
Per-network refund accounts for failed transfers
Show child attributes
Show child attributes
Created timestamp
Updated timestamp
Was this page helpful?